chrMerge {fcros} | R Documentation

## Using a C code for merging chromosome segments

### Description

This is an internal function for using a C code while merging chromosome segments in the segmentation step.

### Usage

    chrMerge(nbSeg, idStart, idEnd, lBound, uBound, segVal, segProba,
                             fcall, L2R, nd, dm, sigma)

### Arguments

`nbSeg` | Number of current segments
`idStart` | Position indexes of the first probes for segments
`idEnd` | Positions indexes of the last probes for segments
`lBound` | Lower bound position for segments
`uBound` | Upper position for segments
`segVal` | Change values associated with segments
`segProba` | Probabilities associated with segments
`fcall` | Detection status associated with probes
`L2R` | Change values associated with probes
`nd` | Number of acceptable non-detection between two significant of a segment
`dm` | Average distance between two consecutive probes of the chromosome
`sigma` | Standard deviation of the residual observations, see reference

### Author(s)

Doulaye Dembele doulaye@igbmc.fr

### References

Dembele D, Analysis of high biological data using their rank values, Stat Methods Med Res, accepted for publication, 2018

### Examples

    #    data(fdata);

[Package fcros version 1.6.1 Index]